com.google.cloud.dataflow.sdk.runners.inprocess

## Class InProcessPipelineRunner.InProcessPipelineResult

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.inprocess.InProcessPipelineRunner.InProcessPipelineResult

All Implemented Interfaces:
  PipelineResult

Enclosing class:
  InProcessPipelineRunner

    public static class InProcessPipelineRunner.InProcessPipelineResult
    extends Object
    implements PipelineResult

The result of running a `Pipeline` with the `InProcessPipelineRunner`. Throws `UnsupportedOperationException` for all methods.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.PipelineResult

`PipelineResult.State`

### Method Summary

All Methods Instance Methods Concrete Methods
`PipelineResult.State` `awaitCompletion()` Blocks until the `Pipeline` execution represented by this `InProcessPipelineRunner.InProcessPipelineResult` is complete, returning the terminal state.
`<T> AggregatorValues<T>` `getAggregatorValues(Aggregator<?,T> aggregator)` Retrieves the current value of the provided `Aggregator`.
`PipelineResult.State` `getState()` Retrieves the current state of the pipeline execution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getState

    public PipelineResult.State getState()

Description copied from interface: `PipelineResult`
Retrieves the current state of the pipeline execution.

Specified by:
  `getState` in interface `PipelineResult`
Returns:
  the `PipelineResult.State` representing the state of this pipeline.

#### getAggregatorValues

    public <T> AggregatorValues<T> getAggregatorValues(Aggregator<?,T> aggregator)
                                                throws AggregatorRetrievalException

Description copied from interface: `PipelineResult`
Retrieves the current value of the provided `Aggregator`.

Specified by:
  `getAggregatorValues` in interface `PipelineResult`
Parameters:
  `aggregator` - the `Aggregator` to retrieve values for.
Returns:
  the current values of the `Aggregator`, which may be empty if there are no values yet.
Throws:
  `AggregatorRetrievalException` - if the `Aggregator` values could not be retrieved.

#### awaitCompletion

    public PipelineResult.State awaitCompletion()
                                         throws Throwable

Blocks until the `Pipeline` execution represented by this `InProcessPipelineRunner.InProcessPipelineResult` is complete, returning the terminal state.

If the pipeline terminates abnormally by throwing an exception, this will rethrow the exception. Future calls to `getState()` will return `PipelineResult.State.FAILED`.

NOTE: if the `Pipeline` contains an `unbounded` `PCollection`, and the `PipelineRunner` was created with `InProcessPipelineOptions.isShutdownUnboundedProducersWithMaxWatermark()` set to false, this method will never return. See also `InProcessExecutor.awaitCompletion()`.

Throws:
  `Throwable`